Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.ui
Class WebAuthenticationDetails

    java.lang.Object
      org.acegisecurity.ui.WebAuthenticationDetails

All Implemented Interfaces:
  Serializable

    public class WebAuthenticationDetails

extends Object
implements Serializable

A holder of selected HTTP details related to a web authentication request.

Version:
  $Id: WebAuthenticationDetails.java,v 1.4 2005/11/17 00:56:10 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Constructor Summary
`protected` | `WebAuthenticationDetails()`
`` | `WebAuthenticationDetails(javax.servlet.http.HttpServletRequest request)` Constructor.
`` | `WebAuthenticationDetails(javax.servlet.http.HttpServletRequest request, boolean forceSessionCreation)`

Method Summary
`protected void` | `doPopulateAdditionalInformation(javax.servlet.http.HttpServletRequest request)` Provided so that subclasses can populate additional information.
`String` | `getRemoteAddress()` Indicates the TCP/IP address the authentication request was received from.
`String` | `getSessionId()` Indicates the `HttpSession` id the authentication request was received from.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebAuthenticationDetails

    public WebAuthenticationDetails(javax.servlet.http.HttpServletRequest request)

  Constructor.

  NB: This constructor will cause a `HttpSession` to be created (this is considered reasonable as all Acegi Security authentication requests rely on `HttpSession` to store the `Authentication` between requests

  Parameters:
    `request` - that the authentication request was received from

### WebAuthenticationDetails

    public WebAuthenticationDetails(javax.servlet.http.HttpServletRequest request,
                                    boolean forceSessionCreation)

### WebAuthenticationDetails

    protected WebAuthenticationDetails()

Method Detail

### getRemoteAddress

    public String getRemoteAddress()

  Indicates the TCP/IP address the authentication request was received from.

  Returns:
    the address

### getSessionId

    public String getSessionId()

  Indicates the `HttpSession` id the authentication request was received from.

  Returns:
    the session ID

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### doPopulateAdditionalInformation

    protected void doPopulateAdditionalInformation(javax.servlet.http.HttpServletRequest request)

  Provided so that subclasses can populate additional information.

  Parameters:
    `request` - that the authentication request was received from

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.